Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Class UpdateQuery

    java.lang.Object
      org.apache.cayenne.query.AbstractQuery
          org.apache.cayenne.query.QualifiedQuery
              org.apache.cayenne.query.UpdateQuery

All Implemented Interfaces:
  Serializable, Query

Deprecated. since 3.0. Should be replaced either with EJBQL update query or SQLTemplate.

    public class UpdateQuery

extends QualifiedQuery

Object encapsulating an UPDATE statement. Note that updated attributes are expressed in terms of DbAttribute names.

See Also:
  Serialized Form

Field Summary
`protected Map<String,Object>` | `updAttributes` Deprecated.

Fields inherited from class org.apache.cayenne.query.QualifiedQuery
`qualifier`

Fields inherited from class org.apache.cayenne.query.AbstractQuery
`name, root`

Constructor Summary
`UpdateQuery()` Deprecated. Creates empty UpdateQuery.
`UpdateQuery(Class rootClass)` Deprecated. Creates a UpdateQuery with null qualifier, for the entity which uses the given class.
`UpdateQuery(Class rootClass, Expression qualifier)` Deprecated. Creates a UpdateQuery for the entity which uses the given class, with the given qualifier.
`UpdateQuery(ObjEntity root)` Deprecated. Creates a UpdateQuery with null qualifier, for the specifed ObjEntity
`UpdateQuery(ObjEntity root, Expression qualifier)` Deprecated. Creates a UpdateQuery for the specifed ObjEntity with the given qualifier
`UpdateQuery(String objEntityName)` Deprecated. Creates UpdateQuery with `objEntityName` parameter.
`UpdateQuery(String objEntityName, Expression qualifier)` Deprecated. Creates UpdateQuery with `objEntityName` and `qualifier` parameters.

Method Summary
`void` | `addUpdAttribute(String attrName, Object updatedValue)` Deprecated.
`SQLAction` | `createSQLAction(SQLActionVisitor visitor)` Deprecated. Calls "makeUpdate" on the visitor.
`Map<String,Object>` | `getUpdAttributes()` Deprecated. Returns a map of updated attributes

Methods inherited from class org.apache.cayenne.query.QualifiedQuery
`andQualifier, getQualifier, orQualifier, setQualifier`

Methods inherited from class org.apache.cayenne.query.AbstractQuery
`getMetaData, getName, getRoot, route, setName, setRoot, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### updAttributes

    protected Map<String,Object> updAttributes

  Deprecated.

Constructor Detail

### UpdateQuery

    public UpdateQuery()

  Deprecated.
  Creates empty UpdateQuery.

### UpdateQuery

    public UpdateQuery(ObjEntity root)

  Deprecated.
  Creates a UpdateQuery with null qualifier, for the specifed ObjEntity

  Parameters:
    `root` - the ObjEntity this UpdateQuery is for.

### UpdateQuery

    public UpdateQuery(ObjEntity root,
                       Expression qualifier)

  Deprecated.
  Creates a UpdateQuery for the specifed ObjEntity with the given qualifier

  Parameters:
    `root` - the ObjEntity this UpdateQuery is for.
    `qualifier` - an Expression indicating which objects will be updated

### UpdateQuery

    public UpdateQuery(Class rootClass)

  Deprecated.
  Creates a UpdateQuery with null qualifier, for the entity which uses the given class.

  Parameters:
    `rootClass` - the Class of objects this UpdateQuery is for.

### UpdateQuery

    public UpdateQuery(Class rootClass,
                       Expression qualifier)

  Deprecated.
  Creates a UpdateQuery for the entity which uses the given class, with the given qualifier.

  Parameters:
    `rootClass` - the Class of objects this UpdateQuery is for.
    `qualifier` - an Expression indicating which objects will be updated

### UpdateQuery

    public UpdateQuery(String objEntityName)

  Deprecated.
  Creates UpdateQuery with `objEntityName` parameter.

### UpdateQuery

    public UpdateQuery(String objEntityName,
                       Expression qualifier)

  Deprecated.
  Creates UpdateQuery with `objEntityName` and `qualifier` parameters.

Method Detail

### createSQLAction

    public SQLAction createSQLAction(SQLActionVisitor visitor)

  Deprecated.
  Calls "makeUpdate" on the visitor.

  Specified by:
    `createSQLAction` in interface `Query`
  Specified by:
    `createSQLAction` in class `AbstractQuery`
  Since:
    1.2

### addUpdAttribute

    public void addUpdAttribute(String attrName,
                                Object updatedValue)

  Deprecated.

### getUpdAttributes

    public Map<String,Object> getUpdAttributes()

  Deprecated.
  Returns a map of updated attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.